Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.2.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class TooltipRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.html.DivPanelRenderer
                  org.richfaces.renderkit.html.TooltipRenderer

All Implemented Interfaces:
  org.richfaces.renderkit.MetaComponentRenderer

    public class TooltipRenderer

extends DivPanelRenderer
implements org.richfaces.renderkit.MetaComponentRenderer

Since:
  2010-10-24
Author:
  amarkhel

Field Summary
`static String` | `BEFORE_HIDE`
`static String` | `BEFORE_SHOW`
`static String` | `HIDE`
`static String` | `SHOW`

Constructor Summary
`TooltipRenderer()`

Method Summary
`protected static void` | `addOnCompleteParam(javax.faces.context.FacesContext context, String tooltipId)`
`void` | `decodeMetaComponent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String metaComponentId)`
`protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom decoding of concrete renderer.
`protected void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom start encoding of concrete renderer.
`protected void` | `doEncodeChildren(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom finish encoding of concrete renderer.
`void` | `encodeMetaComponent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String metaComponentId)`
`protected Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()` Get base component slass , targetted for this renderer.
`Integer[]` | `getOffset(AbstractTooltip tooltip)`
`boolean` | `getRendersChildren()`
`protected org.ajax4jsf.javascript.JSObject` | `getScriptObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected Map<String,Object>` | `getScriptObjectOptions(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected String` | `getStyleClass(javax.faces.component.UIComponent component)`
`protected void` | `writeJavaScript(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

Methods inherited from class org.richfaces.renderkit.html.DivPanelRenderer
`attributeAsString, attributeAsString, attributeAsStyle, attributeAsStyle, capitalize, doEncodeItemBegin, doEncodeItemEnd, getPassThroughAttributes, getStyle, styleElement`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, encodeBegin, encodeChildren, encodeEnd, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HIDE

    public static final String HIDE

See Also:
  Constant Field Values

### SHOW

    public static final String SHOW

See Also:
  Constant Field Values

### BEFORE_HIDE

    public static final String BEFORE_HIDE

See Also:
  Constant Field Values

### BEFORE_SHOW

    public static final String BEFORE_SHOW

See Also:
  Constant Field Values

Constructor Detail

### TooltipRenderer

    public TooltipRenderer()

Method Detail

### doDecode

    protected void doDecode(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)

  Description copied from class: `RendererBase`
  Template method for custom decoding of concrete renderer. All parameters checking if performed in original `decode` method.

  Overrides:
    `doDecode` in class `RendererBase`

### addOnCompleteParam

    protected static void addOnCompleteParam(javax.faces.context.FacesContext context,
                                             String tooltipId)

### doEncodeBegin

    protected void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                                 javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component)
                          throws IOException

  Description copied from class: `RendererBase`
  Template method for custom start encoding of concrete renderer. All parameters checking and writer is performed in original `encodeBegin` method.

  Overrides:
    `doEncodeBegin` in class `DivPanelRenderer`
  Throws:
    `IOException`

### getStyleClass

    protected String getStyleClass(javax.faces.component.UIComponent component)

  Overrides:
    `getStyleClass` in class `DivPanelRenderer`

### getScriptObject

    protected org.ajax4jsf.javascript.JSObject getScriptObject(javax.faces.context.FacesContext context,
                                                               javax.faces.component.UIComponent component)

  Overrides:
    `getScriptObject` in class `DivPanelRenderer`

### getScriptObjectOptions

    protected Map<String,Object> getScriptObjectOptions(javax.faces.context.FacesContext context,
                                                        javax.faces.component.UIComponent component)

  Overrides:
    `getScriptObjectOptions` in class `DivPanelRenderer`

### getOffset

    public Integer[] getOffset(AbstractTooltip tooltip)

### doEncodeEnd

    protected void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                               javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                        throws IOException

  Description copied from class: `RendererBase`
  Template method for custom finish encoding of concrete renderer. All parameters checking and writer is performed in original `encodeEnd` method.

  Overrides:
    `doEncodeEnd` in class `DivPanelRenderer`
  Throws:
    `IOException`

### writeJavaScript

    protected void writeJavaScript(javax.faces.context.ResponseWriter writer,
                                   javax.faces.context.FacesContext context,
                                   javax.faces.component.UIComponent component)
                            throws IOException

  Overrides:
    `writeJavaScript` in class `DivPanelRenderer`
  Throws:
    `IOException`

### encodeMetaComponent

    public void encodeMetaComponent(javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent component,
                                    String metaComponentId)
                             throws IOException

  Specified by:
    `encodeMetaComponent` in interface `org.richfaces.renderkit.MetaComponentRenderer`
  Throws:
    `IOException`

### decodeMetaComponent

    public void decodeMetaComponent(javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent component,
                                    String metaComponentId)

  Specified by:
    `decodeMetaComponent` in interface `org.richfaces.renderkit.MetaComponentRenderer`

### getComponentClass

    protected Class<? extends javax.faces.component.UIComponent> getComponentClass()

  Description copied from class: `RendererBase`
  Get base component slass , targetted for this renderer. Used for check arguments in decode/encode.

  Overrides:
    `getComponentClass` in class `RendererBase`
  Returns:

### doEncodeChildren

    protected void doEncodeChildren(javax.faces.context.ResponseWriter writer,
                                    javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent component)
                             throws IOException

  Overrides:
    `doEncodeChildren` in class `RendererBase`
  Throws:
    `IOException`

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `javax.faces.render.Renderer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.2.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.